Bug 50974 - Missing hwclock flags in rc.sysinit
Summary: Missing hwclock flags in rc.sysinit
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: roswell
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-05 20:56 UTC by jbotha
Modified: 2014-03-17 02:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 22:41:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jbotha 2001-08-05 20:56:07 UTC
Description of problem:
Some of us still use machines with brain dead BIOSes that require hwclock
to get the --badyear flag.  There is currently no way to provide this flag
during boot time other than to edit rc.sysinit.

It would be really nice if CLOCKFLAGS could be set in /etc/sysconfig/clock.

The following simple patch achieves this:

--- rc.sysinit  Tue Jul 24 16:08:01 2001
+++ rc.sysinit.2b       Sun Aug  5 15:43:08 2001
@@ -79,7 +79,7 @@
 fi
 
 CLOCKDEF=""
-CLOCKFLAGS="--hctosys"
+CLOCKFLAGS="$CLOCKFLAGS --hctosys"
 
 case "$UTC" in
    yes|true)

It would also be nice if the installation and setup tools could include an
option to ask if --badyear should be included in /etc/sysconfig/clock.  ;)

Comment 1 Glen Foster 2001-08-06 22:41:06 UTC
We (Red Hat) should try to fix this for the next release.

Comment 2 Bill Nottingham 2001-08-07 04:23:08 UTC
Patch added to the initscripts in 6.12-1. Adding it to the config tools I doubt
will happen at this point.


Note You need to log in before you can comment on or make changes to this bug.